Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.async
Class SendingNotification

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.async.SendingNotification

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SendingNotificationAlive, SendingNotificationByebye

    public abstract class SendingNotification

extends SendingAsync

Field Summary
`protected static Logger` | `log`

Constructor Summary
`SendingNotification(UpnpService upnpService, LocalDevice device)`

Method Summary
`protected List<OutgoingNotificationRequest>` | `createDeviceMessages(LocalDevice device)`
`protected List<OutgoingNotificationRequest>` | `createServiceTypeMessages(LocalDevice device)`
`protected void` | `execute()`
`protected int` | `getBulkIntervalMilliseconds()`
`protected int` | `getBulkRepeat()`
`LocalDevice` | `getDevice()`
`protected abstract NotificationSubtype` | `getNotificationSubtype()`
`void` | `sendMessages()`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getDestinationAddress, getDestinationPort, getUpnpService, run, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### SendingNotification

    public SendingNotification(UpnpService upnpService,
                               LocalDevice device)

Method Detail

### getDevice

    public LocalDevice getDevice()

### execute

    protected void execute()

  Specified by:
    `execute` in class `SendingAsync`

### getBulkRepeat

    protected int getBulkRepeat()

### getBulkIntervalMilliseconds

    protected int getBulkIntervalMilliseconds()

### sendMessages

    public void sendMessages()

### createDeviceMessages

    protected List<OutgoingNotificationRequest> createDeviceMessages(LocalDevice device)

### createServiceTypeMessages

    protected List<OutgoingNotificationRequest> createServiceTypeMessages(LocalDevice device)

### getNotificationSubtype

    protected abstract NotificationSubtype getNotificationSubtype()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.